Вход | Регистрация

1С:Предприятие ::

Метки: 

Не могу справиться с IIS

Я
   BigShmax
 
04.10.17 - 12:27
Бухгалтера проснулись что с 1 октября изменились СФ.  На основном сервере установлена 8.3.9  со специфичными БД и несколько сотен пользователями, обновить в лоб сразу  не буду. и обновить нормально до конца . Быро перенёс всё на другной сервер 1с  где маленькие базы и все  удалённо в терминале. Там быстро и безболезненно обновил до 8.3.10.2580 и сервер и клиент обновил бухии вздохнул и прожил чуть чуть. Сегодня всплыла  бух сидящая у черта на куличках с онлайн кассой  и опубликованной на IIS базой. ну думаю не проблема.  у становил на IIS клиента   установил платформу  выбрав только веб расширение.
получил ISAPI и CGI   http://c2n.me/3OhjoBX
И в сопоставлении обработчиков  убрал наследование и прописал новый wsisapi    http://c2n.me/3OhjCPm  И всё бестолку. старые публикации слава богу рабоатют новая ни в какую.  IIS Рестартил
Ошибка :   http://c2n.me/3OhjPbQ
 
 
   BigShmax
 
1 - 04.10.17 - 12:33
Или поставить клиента на сервер ИИС  и прописывать не 

C:\Program Files\1cv8\8.3.10.2580\bin\wsisapi.dll
а
C:\Program Files (x86)\1cv8\8.3.10.2580\bin\wsisapi.dll
   DmitrO
 
2 - 04.10.17 - 12:36
Если версия расширения отличается меньше чем во 2ой части то расширения надо располагать в разных пулах приложений на IIS.
   DmitrO
 
3 - 04.10.17 - 12:39
Т.е. 8.2 и 8.3 еще можно в один пул засунуть, а 8.3.9 и 8.3.10 уже нельзя.
   DmitrO
 
4 - 04.10.17 - 12:41
Создавай новый пул приложений на IIS, и указывай его для вирт. каталога базы которая на новой платформе.
   g00d
 
5 - 04.10.17 - 12:42
ищещ файлы web.config в папках вебпубликаций и правишь в них путь к wsisapi.dll
   BigShmax
 
6 - 04.10.17 - 12:48
(5)   там порядок
<?xml version="1.0" encoding="UTF-8"?>
<configuration>
    <system.webServer>
        <handlers>
            <remove name="1c  crs" />
            <remove name="1c   cws" />
            <add name="1C Web-service Extension_8_3_10_2580" path="*" verb="*" modules="IsapiModule" scriptProcessor="C:\Program Files\1cv8\8.3.10.2580\bin\wsisapi.dll" resourceType="Unspecified" requireAccess="None" preCondition="bitness64" />
            <add name="1c   cws" path="*.1cws" verb="*" modules="IsapiModule" scriptProcessor="C:\Program Files\1cv8\8.3.10.2580\bin\wsisapi.dll" resourceType="File" requireAccess="Execute" preCondition="bitness64" />
            <add name="1c  crs" path="*.1crs" verb="*" modules="IsapiModule" scriptProcessor="C:\Program Files\1cv8\8.3.10.2580\bin\wsisapi.dll" resourceType="File" requireAccess="Execute" preCondition="bitness64" />
        </handlers>
    </system.webServer>
</configuration>
   BigShmax
 
7 - 04.10.17 - 12:51
я  просто думаю   если  нет платформы 1с сервера  на этой машины 8.3.10.2580   может не надо было сервер устанавилавть с веб расширением  а установить клиента и wsisapi именно клиентский указать
   BigShmax
 
8 - 04.10.17 - 12:51
(4 )   ща попробую
   BigShmax
 
9 - 04.10.17 - 12:56
(2)    а вот это "Если версия расширения отличается меньше чем во 2ой"   вообще не понял :-)  чем различия в 9 и 10 сильнее разница чем 8.2  и 8.3
   BigShmax
 
10 - 04.10.17 - 13:00
(2) (3) (4)    респект - работает.

ток ответте на (9)    чтобы понимать что нужно растаскивать по пулам разным.
 
  Рекламное место пустует
   DmitrO
 
11 - 04.10.17 - 13:05
(10) цитата из Руководства администратора
7.10. Особенности настройки веб-серверов

7.10.1. Internet Information Services
...

При настройке IIS следует помнить, что в рамках одного пула приложений не могут исполняться более одного модуля расширения веб-сервера, которые различаются только третьей и четвертой цифрами версии. Для организации такой работы следует использовать столько пулов приложений, сколько различных версии модулей расширения планируется использовать, и вручную привязать каждое виртуальное приложение веб-клиента к нужному пулу приложений.

...
   DmitrO
 
12 - 04.10.17 - 13:09
Если вопрос был "а почему так?", то сие покрыто мраком тайны, и мне не ведомо.
Спрашивать надо у разработчиков платформы.
   BigShmax
 
13 - 04.10.17 - 15:49
(12) нет вопрос был что такое : "не могут исполняться более одного модуля расширения веб-сервера, которые различаются только третьей и четвертой цифрами версии. "

что за тртья и четвёртая цифра версии :-)   почем утак  более менее понятно и не интересно потому как разделив  всё взлетело
   perester
 
14 - 04.10.17 - 15:58
(0) в похожей ситуевине, но на порядок поменьше я сделал внешнюю печатную форму, надеюсь обновиться не спеша
   BigShmax
 
15 - 04.10.17 - 17:59
(14)   зачем, сдела по порядочному.  в предь займёт зная как около двух минут быстрее чем делать форму :-)


Список тем форума
Рекламное место пустует   Рекламное место пустует
Здесь можно задать вопрос "Как сделать?" и получить кучу ответов, что тебе это делать не надо. Ymryn
ВНИМАНИЕ! Если вы потеряли окно ввода сообщения, нажмите Ctrl-F5 или Ctrl-R или кнопку "Обновить" в браузере.
Тема не обновлялась длительное время, и была помечена как архивная. Добавление сообщений невозможно.
Но вы можете создать новую ветку и вам обязательно ответят!
Каждый час на Волшебном форуме бывает более 2000 человек.
Рекламное место пустует